netaddr gem for Ruby 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1775328 漏洞类型 其他
发布时间 2019-10-09 更新时间 2019-11-28
CVE编号 CVE-2019-17383 CNNVD-ID CNNVD-201910-538
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201910-538
|漏洞详情
netaddr gem for Ruby是一款用于在IPv4和IPv6子网上执行计算的Ruby库。 netaddr gem for Ruby 2.0.4之前版本中存在安全漏洞。攻击者可利用该漏洞绕过访问限制。
|参考资料

来源:rubygems.org

链接:https://rubygems.org/gems/netaddr/versions


来源:github.com

链接:https://github.com/dspinhirne/netaddr-rb/commit/3aac46c00a36e71905eaa619cb94d45bff6e3b51


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-17383